#
# spec file for package python-publicsuffix2
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-publicsuffix2
Version:        2.20191221
Release:        bp156.1.1
Summary:        Get a public suffix for a domain name using the Public Suffix List
License:        MIT AND MPL-2.0
URL:            https://github.com/nexb/python-publicsuffix2
Source:         https://files.pythonhosted.org/packages/source/p/publicsuffix2/publicsuffix2-%{version}.tar.gz
BuildRequires:  %{python_module requests >= 2.7.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Get a public suffix for a domain name using the Public Suffix List.
Forked from and using the same API as the publicsuffix package.

%prep
%setup -q -n publicsuffix2-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license publicsuffix2.LICENSE
%doc CHANGELOG.rst README.rst
%{python_sitelib}/*

%changelog
* Sun Jun 18 2023 Andreas Schneider <asn@cryptomilk.org>
- Use sle15_python_module_pythons
* Sun Apr 12 2020 Tomáš Chvátal <tchvatal@suse.com>
- Format bit with spec-cleaner
* Tue Jan 21 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v2.20191221
